package com.acemondstudios.rootine.Adapters

import android.content.Context
import androidx.fragment.app.Fragment
import androidx.fragment.app.FragmentManager
import androidx.fragment.app.FragmentPagerAdapter
import com.acemondstudios.rootine.R
import com.acemondstudios.rootine.UI.Fragments.RoutineListFragment
import com.acemondstudios.rootine.UI.Fragments.StatisticsFragment
import com.acemondstudios.rootine.UI.Fragments.UserFragment

private val TAB_TITLES = arrayOf(
    R.string.user,
    R.string.routines,
    R.string.statistics
)

class SectionsPagerAdapter(private val context: Context, fm: FragmentManager) :
    FragmentPagerAdapter(fm) {

    override fun getItem(position: Int): Fragment {
        var fragment: Fragment = UserFragment()
        if(position == 1){
            fragment = RoutineListFragment()
        }
        else if(position == 2){
            fragment = StatisticsFragment()
        }
        return fragment
    }

    override fun getPageTitle(position: Int): CharSequence? {
        return context.resources.getString(TAB_TITLES[position])
    }

    override fun getCount(): Int {
        return 3
    }
}